searchNodes=[{"doc":"Provides methods to interact with the DID Token.","ref":"Magic.Token.html","title":"Magic.Token","type":"module"},{"doc":"Parses public_address and extracts issuer Returns issuer info","ref":"Magic.Token.html#construct_issuer_with_public_address/1","title":"Magic.Token.construct_issuer_with_public_address/1","type":"function"},{"doc":"Decodes a DID Token from a Base64 string into a tuple of its individual components: proof and claim. This method allows you decode the DID Token and inspect the token Returns A map containing proof, claim and message or raise an error","ref":"Magic.Token.html#decode!/1","title":"Magic.Token.decode!/1","type":"function"},{"doc":"Parses did_token and extracts issuer Returns issuer info","ref":"Magic.Token.html#get_issuer/1","title":"Magic.Token.get_issuer/1","type":"function"},{"doc":"Parses did_token and extracts cryptographic public_address Returns cryptographic public address of the Magic User who generated the supplied DID Token.","ref":"Magic.Token.html#get_public_address/1","title":"Magic.Token.get_public_address/1","type":"function"},{"doc":"Validates did_token Returns true or raises an error","ref":"Magic.Token.html#validate!/1","title":"Magic.Token.validate!/1","type":"function"},{"doc":"A map of claims made by the DID Token","ref":"Magic.Token.html#t:claim/0","title":"Magic.Token.claim/0","type":"type"},{"doc":"A DID Token generated by a Magic user on the client-side.","ref":"Magic.Token.html#t:did_token/0","title":"Magic.Token.did_token/0","type":"type"},{"doc":"Decentralized identifier which encapsulates a unique user ID","ref":"Magic.Token.html#t:issuer/0","title":"Magic.Token.issuer/0","type":"type"},{"doc":"Cryptographic public address of the Magic User.","ref":"Magic.Token.html#t:public_address/0","title":"Magic.Token.public_address/0","type":"type"},{"doc":"Provides methods to interact with the User via the Magic API","ref":"Magic.User.html","title":"Magic.User","type":"module"},{"doc":"Retrieves information about the user by the supplied issuer","ref":"Magic.User.html#get_metadata_by_issuer/1","title":"Magic.User.get_metadata_by_issuer/1","type":"function"},{"doc":"Retrieves information about the user by the supplied public address","ref":"Magic.User.html#get_metadata_by_public_address/1","title":"Magic.User.get_metadata_by_public_address/1","type":"function"},{"doc":"Retrieves information about the user by the supplied DID Token","ref":"Magic.User.html#get_metadata_by_token/1","title":"Magic.User.get_metadata_by_token/1","type":"function"},{"doc":"Logs a user out of all Magic SDK sessions by the supplied issuer","ref":"Magic.User.html#logout_by_issuer/1","title":"Magic.User.logout_by_issuer/1","type":"function"},{"doc":"Logs a user out of all Magic SDK sessions by the supplied public address","ref":"Magic.User.html#logout_by_public_address/1","title":"Magic.User.logout_by_public_address/1","type":"function"},{"doc":"Logs a user out of all Magic SDK sessions by the supplied DID Token","ref":"Magic.User.html#logout_by_token/1","title":"Magic.User.logout_by_token/1","type":"function"},{"doc":"","ref":"Magic.User.html#t:did_token/0","title":"Magic.User.did_token/0","type":"type"},{"doc":"","ref":"Magic.User.html#t:issuer/0","title":"Magic.User.issuer/0","type":"type"},{"doc":"","ref":"Magic.User.html#t:public_address/0","title":"Magic.User.public_address/0","type":"type"},{"doc":"","ref":"Magic.User.html#t:user/0","title":"Magic.User.user/0","type":"type"},{"doc":"","ref":"Magic.Utils.html","title":"Magic.Utils","type":"module"},{"doc":"","ref":"Magic.Utils.html#add_hex_prefix/1","title":"Magic.Utils.add_hex_prefix/1","type":"function"},{"doc":"","ref":"Magic.Utils.html#bin_to_hex/1","title":"Magic.Utils.bin_to_hex/1","type":"function"},{"doc":"","ref":"Magic.Utils.html#hex_to_bin/1","title":"Magic.Utils.hex_to_bin/1","type":"function"},{"doc":"","ref":"Magic.Utils.html#prefix_message/1","title":"Magic.Utils.prefix_message/1","type":"function"},{"doc":"","ref":"Magic.Utils.html#pubkey_to_address/1","title":"Magic.Utils.pubkey_to_address/1","type":"function"},{"doc":"","ref":"Magic.Utils.html#recover_pubkey/2","title":"Magic.Utils.recover_pubkey/2","type":"function"},{"doc":"","ref":"Magic.Utils.html#remove_hex_prefix/1","title":"Magic.Utils.remove_hex_prefix/1","type":"function"},{"doc":"","ref":"Magic.DIDTokenError.html","title":"Magic.DIDTokenError","type":"exception"},{"doc":"Magic Admin Elixir SDK The Magic Admin Elixir SDK provides convenient ways for developers to interact with Magic API endpoints and an array of utilities to handle DID Token. Additional documentation can be found at https://hexdocs.pm/magic_admin .","ref":"readme.html","title":"Magic Admin Elixir SDK","type":"extras"},{"doc":"The package can be installed by adding magic_admin to your list of dependencies in mix.exs : def deps do [ { :magic_admin , &quot;~&gt; 0.6.0&quot; } ] end","ref":"readme.html#installation","title":"Magic Admin Elixir SDK - Installation","type":"extras"},{"doc":"To make API calls, it is necessary to configure your Magic secret key. use Mix.Config config :magic_admin , secret_key : System . get_env ( &quot;MAGIC_SECRET&quot; ) # OR config :magic_admin , secret_key : &quot;sk_live_XXXXXXXXXXX&quot;","ref":"readme.html#configuration","title":"Magic Admin Elixir SDK - Configuration","type":"extras"},{"doc":"Tokens Validate Tokens The Token.validate!/1 function returns true if the token is valid, or raises a DIDTokenError with a message describing why the token is invalid. true = Magic.Token . validate! ( did_token ) Decode Tokens The Token.decode!/1 function returns a map of proof , claim and message , or raises a DIDTokenError if it is malformed. claim is the parsed map of claims made by the decoded token. proof is the secp256k1 signature over a hash of message which is the JSON encoded version of claim . %{ proof : proof , claim : claim , message : message } = Magic.Token . decode! ( did_token ) Get Token Attributes The Token module also includes a couple of utility functions for accessing the issuer and public address attributes of a token. issuer = Magic.Token . get_issuer ( did_token ) address = Magic.Token . get_public_address ( did_token ) Users Get User Metadata Metadata for a user can be retrieved by supplying issuer, public key, or the full DID Token: Magic.User . get_metadata_by_issuer ( issuer ) Magic.User . get_metadata_by_public_address ( public_address ) Magic.User . get_metadata_by_token ( did_token ) # =&gt; {:ok, %{email: &quot;fake@example.com&quot;, issuer: &quot;did:ethr:0x00000000000000000000000000000&quot;, public_address: &quot;0x00000000000000000000000000000000&quot;}} Log Out a User Logs a user out of all Magic SDK sessions by the supplied issuer, public address, or the full DID Token: Magic.User . logout_by_issuer ( issuer ) Magic.User . logout_by_public_address ( public_address ) Magic.User . logout_by_token ( did_token )","ref":"readme.html#usage","title":"Magic Admin Elixir SDK - Usage","type":"extras"},{"doc":"This Elixir library is based on the official Ruby implementation: https://github.com/magiclabs/magic-admin-ruby","ref":"readme.html#attribution","title":"Magic Admin Elixir SDK - Attribution","type":"extras"}]